Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61315 - [curator] does not work anymore (wrong click version)

Attached to Project: Community Packages
Opened by marlemion (marlemion) - Wednesday, 09 January 2019, 07:45 GMT
Last edited by Balló György (City-busz) - Friday, 12 April 2019, 14:49 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Levente Polyak (anthraxx)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

When I try to fire up curator to clean my elasticsearch database, I get the following error message:

Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 581, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 898, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 789, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (Click 7.0 (/usr/lib/python3.7/site-packages), Requirement.parse('click<7.0,>=6.7'), {'elasticsearch-curator'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/curator", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3126, in <module>
@_call_aside
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3110, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 784, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'click<7.0,>=6.7' distribution was not found and is required by elasticsearch-curator

The below message says it all. python-click is too young. Downgrading to click-6.7 helped for now.

Additional info:
* curator version is 5.6


Steps to reproduce:

Install curator on a most recen arch system
Execute curator

This task depends upon

Comment by mpan (mpan) - Wednesday, 09 January 2019, 08:23 GMT
Please open an issue upstream¹. I can confirm the crash, but it seems like the upstream is deliberately causing it for “python-click” versions 7 and over. However silly that may sound, this is the chosen behaviour of the program right now, as defined by the upstream. Arch maintainers can do nothing: there is no way to downgrade an already published package, so “python-click” will stay ≥ 7.

Later I will add a bug report, because “curator” authors’ Travis builds are happy to give green light with click-7.0, despite tests, before anything else, should fail if some versions of dependencies are explicitly blocked.

This bug should, however, stay open until the problem is fixed: Arch packages are breaking one eachother.

____
¹ https://github.com/elastic/curator/issues

Loading...